PRINTF(1)

NAVN
printf - formater og udskriv data

SYNOPSIS
printf FORMAT [ARGUMENT]...
printf TILVALG

BESKRIVELSE

Udskriv ARGUMENTer ifølge FORMAT, eller eksekver ifølge TILVALG:

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

FORMAT styrer uddata som i C's printf. Tolkede sekvenser er:

\"  citationstegn

\\  omvendt skråstreg

\a  alarm (BEL)

\b  tilbage (backspace)

\c  foretag ingen yderligere udskrift

\e  undvigesekvens

\f  sideskift

\n  ny linje

\r  vognretur

\t  vandret tabulator

\v  lodret tabulator

\NNN
    byte med oktal værdi NNN (1 til 3 cifre)

\xHH
    byte med hexadecimal værdi HH (1 til 2 cifre)

\uHHHH
    Unicode-tegn (ISO/IEC 10646) med hexadecimal værdi HHHH (4 cifre)

\UHHHHHHHH
    Unicode-tegn med hexadecimal værdi HHHHHHHH (8 cifre)

%%  et enkelt %

%b  ARGUMENT as a string with '\' escapes interpreted, except that octal escapes should have a leading 0 like \0NNN

%q  ARGUMENT is printed in a format that can be reused as shell input, escaping non-printable characters with the POSIX $” syntax

og alle specifikationer i C-format som slutter med en af diouxXfeEgGcs, med ARGUMENTer konverteret til en passende type først. Variable bredder behandles.

Din skal har måske sin egen version af printf, som normalt erstatter versionen beskrevet her. Se venligst din skals dokumentation for detaljer angående de understøttede tilvalg.

FORFATTER
Skrevet af David MacKenzie.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

SE OGSÅ
printf(3)

Fuld dokumentation <https://www.gnu.org/software/coreutils/printf>
eller lokalt tilgængelig via: info '(coreutils) printf invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det.
Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.